%global         momorel 2

Name:           perl-HTTP-Thin
Version:        0.006
Release:        %{momorel}m%{?dist}
Summary:        Thin Wrapper around HTTP::Tiny to play nice with HTTP::Message
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Thin/
Source0:        http://www.cpan.org/authors/id/P/PE/PERIGRIN/HTTP-Thin-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.12.1
BuildRequires:  perl-Class-Method-Modifiers
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Hash-MultiValue
BuildRequires:  perl-HTTP-Message
BuildRequires:  perl-HTTP-Tiny
BuildRequires:  perl-parent
BuildRequires:  perl-Safe-Isa
BuildRequires:  perl-Test-More
Requires:       perl-Class-Method-Modifiers
Requires:       perl-Hash-MultiValue
Requires:       perl-HTTP-Message
Requires:       perl-HTTP-Tiny
Requires:       perl-parent
Requires:       perl-Safe-Isa
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
WARNING: This module is untested beyond the very basics. The implementation
is simple enough that it shouldn't do evil things but, yeah it's still not
approved for use by small children.

%prep
%setup -q -n HTTP-Thin-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES dist.ini LICENSE META.json README weaver.ini
%{perl_vendorlib}/HTTP/Thin.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.20.0

* Sun Apr 27 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-2m)
- rebuild against perl-5.18.2

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
